EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackageSymbolsV2_GetPackageVersion',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NuGetPackageSymbolsV2_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the symbols indexed for a package.'
GO

IF OBJECT_ID('[NuGetPackageSymbolsV2_GetPackageVersion]') IS NOT NULL DROP PROCEDURE [NuGetPackageSymbolsV2_GetPackageVersion]
GO

CREATE PROCEDURE [NuGetPackageSymbolsV2_GetPackageVersion]
(
	@Feed_Id INT,
	@NuGetPackageV2_Id INT,
	@Package_Version_Text VARCHAR(255)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [NuGetPackageSymbolsV2_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [NuGetPackageV2_Id] = @NuGetPackageV2_Id
	   AND [Package_Version_Text] = @Package_Version_Text
END
GO

GRANT EXECUTE ON [NuGetPackageSymbolsV2_GetPackageVersion] TO [ProGetUser_Role]
