EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PypiPackages_SearchPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PypiPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets PyPI packages that contain the search term in either the package name or summary properties.'
GO

IF OBJECT_ID('[PypiPackages_SearchPackages]') IS NOT NULL DROP PROCEDURE [PypiPackages_SearchPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PypiPackages_SearchPackages]
(
	@Feed_Id INT,
	@SearchTerm_Text VARCHAR(200),
	@Max_Count INT
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [PypiPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND ([Package_Name] LIKE '%' + @SearchTerm_Text + '%' OR [Summary_Text] LIKE '%' + @SearchTerm_Text + '%')
	 ORDER BY [Published_Date] DESC

END
GO

GRANT EXECUTE ON [PypiPackages_SearchPackages] TO [ProGetUser_Role]
GO
